# --------------------------------------------------------
puts "Simulation script for HERON-IO2V2 Example 4"
# --------------------------------------------------------
vlib work
vlib sim_lib
vcom -just e -93 -explicit   -work sim_lib ../../Common/SIM_MSG.vhd
vcom -skip e -93 -explicit   -work sim_lib ../../Common/SIM_MSG.vhd
vcom -just e -93 -explicit   -work sim_lib ../../Common/SIM_RD_6F.vhd
vcom -skip e -93 -explicit   -work sim_lib ../../Common/SIM_RD_6F.vhd
vcom -just e -93 -explicit   -work sim_lib ../../Common/SIM_WR_6F.vhd
vcom -skip e -93 -explicit   -work sim_lib ../../Common/SIM_WR_6F.vhd
vcom -just e -93 -explicit   ../../common/V2_RD_6F.vhd
vcom -skip e -93 -explicit   ../../common/V2_RD_6F.vhd
vcom -just e -93 -explicit   ../../common/HE_RWCLK.vhd
vcom -skip e -93 -explicit   ../../common/HE_RWCLK.vhd
vcom -just e -93 -explicit   ../../common/HE_USER.vhd
vcom -skip e -93 -explicit   ../../common/HE_USER.vhd
vcom -just e -93 -explicit   ../../common/HE_WR_6F.vhd
vcom -skip e -93 -explicit   ../../common/HE_WR_6F.vhd
vcom -just e -93 -explicit   ../../common/HE_ADC.vhd
vcom -skip e -93 -explicit   ../../common/HE_ADC.vhd
vcom -just e -93 -explicit   ../../common/HE_DAC.vhd
vcom -skip e -93 -explicit   ../../common/HE_DAC.vhd
vcom -just e -93 -explicit   ../../common/HE_SCLK.vhd
vcom -skip e -93 -explicit   ../../common/HE_SCLK.vhd
vcom         -93 -explicit   ../src/User_Ap4.vhd
vcom -just e -93 -explicit   ../../common/TOP.vhd
vcom -skip e -93 -explicit   ../../common/TOP.vhd
vcom -just e -93 -explicit   ../Src/TB_EX4.vhd
vcom -skip e -93 -explicit   ../Src/TB_EX4.vhd
vsim -t 1ps  -L xilinxcorelib   -lib work testbench
view wave
add wave -noupdate -format Logic /testbench/osc3_pin
add wave -noupdate -format Logic /testbench/f1
add wave -noupdate -format Logic /testbench/diclk
add wave -noupdate -format Logic /testbench/reset_pin
add wave -noupdate -format Logic /testbench/go
add wave -noupdate -format Logic /testbench/endf
add wave -noupdate -format Literal /testbench/dif_ef
add wave -noupdate -format Literal /testbench/dif_ae
add wave -noupdate -format Literal /testbench/dif_ren
add wave -noupdate -format Literal /testbench/dif_oen
add wave -noupdate -format Literal -radix hexadecimal /testbench/di
add wave -noupdate -format Literal /testbench/dof_ff
add wave -noupdate -format Literal /testbench/dof_af
add wave -noupdate -format Literal /testbench/dof_wen
add wave -noupdate -format Literal -radix hexadecimal /testbench/do
add wave -noupdate -format Literal /testbench/vpd
add wave -noupdate -format Logic /testbench/vinit
add wave -noupdate -format Logic /testbench/vcs
add wave -noupdate -format Logic /testbench/vwrite
add wave -noupdate -format Logic /testbench/vbusy
add wave -noupdate -format Literal /testbench/led
add wave -noupdate -divider -height 60 {DAC Output A}
add wave -noupdate -format Analog-Step -scale 0.0040000000000000001 /testbench/channel_a
add wave -noupdate -divider -height 60 {DAC Output B}
add wave -noupdate -format Analog-Step -scale 0.0040000000000000001 /testbench/channel_b
WaveRestoreCursors {0 ps}
WaveRestoreZoom {0 ps} {23543808 ps}
view structure
view signals
run 8us
